Name:           NaturalDocs
Version:        1.52
Release:        11%{?dist}
Summary:        Documentation generator for multiple programming languages

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.naturaldocs.org/
Source0:        http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip
Patch0:         NaturalDocs-1.4-paths.patch
BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  perl-generators
Requires:       perl(:MODULE_COMPAT_%(eval $(%{__perl} -V:version); echo $version))

%description
Natural Docs is an open-source documentation generator for multiple
programming languages.  You document your code in a natural syntax that
reads like plain English.  Natural Docs then scans your code and builds
high-quality HTML documentation from it.


%prep
%setup -q -c
%patch0 -p0


%build
# There's a couple of files with DOS line endings
find . -type f -exec dos2unix -q -k '{}' \;

# Convert non-UTF8 files
iconv -f ISO-8859-1 -t UTF-8 Help/example/Default.css >Help/example/Default.css.utf8
touch --reference Help/example/Default.css Help/example/Default.css.utf8
mv Help/example/Default.css.utf8 Help/example/Default.css

iconv -f ISO-8859-1 -t UTF-8 Help/example/Roman.css >Help/example/Roman.css.utf8
touch --reference Help/example/Roman.css Help/example/Roman.css.utf8
mv Help/example/Roman.css.utf8 Help/example/Roman.css

iconv -f ISO-8859-1 -t UTF-8 Help/example/Small.css >Help/example/Small.css.utf8
touch --reference Help/example/Small.css Help/example/Small.css.utf8
mv Help/example/Small.css.utf8 Help/example/Small.css

iconv -f ISO-8859-1 -t UTF-8 License.txt >License.txt.utf8
touch --reference License.txt License.txt.utf8
mv License.txt.utf8 License.txt

# Drop an extra backup file
rm -f Modules/NaturalDocs/Settings.pm.orig


%install
# Directory structure
install -d %{buildroot}%{_datadir}/NaturalDocs
install -d %{buildroot}%{_sysconfdir}/NaturalDocs
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_bindir}

# Copy files
cp -rp Info JavaScript Styles %{buildroot}%{_datadir}/NaturalDocs
cp -rp Modules/* %{buildroot}%{perl_vendorlib}
cp -rp Config/* %{buildroot}%{_sysconfdir}/NaturalDocs
install -pm 755 NaturalDocs %{buildroot}%{_bindir}


%files
%{_datadir}/NaturalDocs
%config(noreplace) %{_sysconfdir}/NaturalDocs
%{perl_vendorlib}/*
%{_bindir}/NaturalDocs
%doc License.txt
%doc Help/*


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.52-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.52-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.52-9
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.52-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.52-7
- Perl 5.24 rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.52-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.52-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.52-4
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.52-3
- Perl 5.20 rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 28 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.52-1
- Update to a later upstream release

* Thu Oct 24 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.4-16
- Bulk sad and useless attempt at consistent SPEC file formatting

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.4-14
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.4-11
- Perl 5.16 rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.4-9
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.4-8
- Perl 5.14 mass rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.4-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.4-5
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 07 2008 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.4-2
- Add the forgotten Styles directory

* Fri Jul 04 2008 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.4-1
- Initial packaging attempt
